{% extends 'proteins/base.html' %}

{% block content %}
<h2> Results for job {{gb}}</h2>
<br>


<table class="table table-hover" id="tableurlslist">

    <tbody>
        <tr>
            {% for u in urls %}
           <td>
               <strong> {{ u.types }} </strong>
           </td>
            <td> 
                {{u.title}} 
            </td>

            <td>
                <a href="{{ u.gb.url }} " class="btn btn-outline-primary" role="button">
                    <span class="glyphicon glyphicon-download"></span>
                </a>

            </td>
            <td>
                <form method="post" action="{% url 'delete_url' u.pk %}">
                    {% csrf_token %}
                    <button type="submit" class="btn btn-danger btn-sm">
                        <span class="glyphicon glyphicon-trash"></span>
                    </button>

                </form>
            </td>
            <td>
                <a href="{% url 'read_file' pk=u.id %}" class="btn btn-outline-primary" role="button" target="_blank">
                    <span class="glyphicon glyphicon-new-window"></span>
                </a>
            </td>
            <td>
                <a class="buteye btn btn-outline-primary" role="button">
                    <span class="glyphicon glyphicon-eye-open"></span>
                </a>
            </td>
            <td id="{{u.id}}" style="visibility: hidden;width: 2px; height: 2px;">
                <pre xml:space="preserve" style="width: inherit; height: inherit;" >
                         {{u.display_text_file}}
                    </pre>
            </td>
        </tr>

        {% endfor %}

</table>

<div id="divcontent">

</div>
{% endblock%}

{% block custom_js %}
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var idtd = ""
        $(".buteye").click(function (e) {
            var row = $(this).closest("tr");
            idtd = row.find('td:last-child').attr("id");
            var cont = $('#'+idtd).html();
            $("#divcontent").html(cont);
           
        });
    });

</script>
{% endblock %}